SET linesize 80
SET pagesize 15

TTITLE "A vidki gygyszergyrtk gygyszereinek kategrija s ra"
BTITLE "Gygy-sz Kft."

SELECT termeknev AS "Termk",
	kategoria AS "Kategria",
	ajanlott_ar AS "ra",
	gyogyszer.gyarto AS "Gyrt",
	szekhely AS "Szkhely"
FROM gyogyszer, gyartok
WHERE gyogyszer.gyarto=gyartok.gyarto AND
	szekhely = ANY (SELECT szekhely FROM gyartok WHERE szekhely <> 'Budapest' GROUP BY szekhely)
ORDER BY termeknev;

TTITLE OFF
BTITLE OFF
SET pagesize 40
SET linesize 400