SET serveroutput ON
CREATE OR REPLACE FUNCTION kapcsolatvane(termeknev IN VARCHAR2, gyarto IN VARCHAR2)
	RETURN BOOLEAN
IS
	termeknev gyogyszer.termeknev%TYPE;
BEGIN
	SELECT termeknev
	into termeknev
	FROM gyogyszer
	WHERE UPPER(gyogyszer.termeknev) = UPPER(termeknev) AND
		UPPER(gyogyszer.gyarto) = UPPER(gyarto);
	RETURN TRUE;
EXCEPTION
	WHEN NO_DATA_FOUND
	THEN RAISE_APPLICATION_ERROR(-20124,'Nincs ilyen gygyszer mg!');
END;
/
SHOW ERRORS
SET serveroutput OFF