CONNECT sys/rendszergazda AS SYSDBA

CREATE ROLE szallito;

GRANT SELECT, UPDATE, DELETE ON scott.latogatasok TO szallito;

GRANT SELECT, UPDATE ON scott.kapcsolatok TO szallito;

GRANT CREATE SESSION TO szallito;

CREATE ROLE gyogyszertaros;

GRANT SELECT ON scott.rabok TO gyogyszertaros;

GRANT SELECT ON scott.latogatasok TO gyogyszertaros;

GRANT CREATE SESSION TO gyogyszertaros;

CREATE USER DHL

IDENTIFIED BY dhl1

DEFAULT TABLESPACE users

TEMPORARY TABLESPACE temp

QUOTA UNLIMITED ON users;

CREATE USER TNT

IDENTIFIED BY tnt1

DEFAULT TABLESPACE users

TEMPORARY TABLESPACE temp

QUOTA UNLIMITED ON users;

GRANT szallito TO DHL;

GRANT szallito TO TNT;

CREATE USER Istvan

IDENTIFIED BY ist1

DEFAULT TABLESPACE users

TEMPORARY TABLESPACE temp

QUOTA UNLIMITED ON users;

CREATE USER Maria

IDENTIFIED BY mar1

DEFAULT TABLESPACE users

TEMPORARY TABLESPACE temp

QUOTA UNLIMITED ON users;

GRANT gyogyszertaros TO Istvan;

GRANT gyogyszertaros TO Maria;