SET linesize 80
SET pagesize 20

CREATE OR REPLACE VIEW olcsohelyettes
AS
SELECT * FROM helyettes
WHERE h_termar < 1500;

TTITLE "1500 forintnl olcsbb helyettest termkek gyrtinak adatai"
BTITLE "Gygy-sz Kft."
COLUMN Helyettest HEADING 'Helyettest|termk neve'

SELECT olcsohelyettes.h_termnev AS "Helyettest",
	olcsohelyettes.h_termar AS "ra",
	gyartok.gyarto AS "Gyrt",
	gyartok.szekhely AS "Szkhely",
	gyartok.minoseg AS "Minsts"
FROM olcsohelyettes, gyartok
WHERE olcsohelyettes.gyarto = gyartok.gyarto
ORDER BY olcsohelyettes.h_termnev;

DROP VIEW olcsohelyettes;
TTITLE OFF
BTITLE OFF
CLEAR COLUMNS
SET pagesize 40
SET linesize 400