SET linesize 90
SET pagesize 15

CREATE OR REPLACE VIEW gyorsvenyes
AS
SELECT * FROM gyogyszer
WHERE kategoria='Vny kteles' AND hatas='Gyors';

TTITLE "Vnyre kaphat gyors hats gygyszerek helyettest termkeinek adatai"
BTITLE "Gygy-sz Kft."
COLUMN Helyettest HEADING 'Helyettest|termk neve'
COLUMN Helyettestett HEADING 'Helyettestett|termk neve'

SELECT gyorsvenyes.termeknev AS "Helyettestett",
	gyorsvenyes.kategoria AS "Kategria",
	gyorsvenyes.hatas AS "Tpus",
	helyettes.h_termnev AS "Helyettest",
	helyettes.h_termgyarto AS "Gyrt",
	helyettes.h_termar AS "ra"
FROM gyorsvenyes, helyettes
WHERE gyorsvenyes.gyarto = helyettes.gyarto AND
	gyorsvenyes.termeknev = helyettes.termeknev
ORDER BY gyorsvenyes.termeknev;

DROP VIEW gyorsvenyes;
TTITLE OFF
BTITLE OFF
CLEAR COLUMNS
SET pagesize 40
SET linesize 400