DROP TABLE gyogyszer;
CREATE TABLE gyogyszer
(termeknev VARCHAR2(14) NOT NULL,
gyarto VARCHAR2(15) NOT NULL,
kategoria VARCHAR2(12) NOT NULL,
hatas VARCHAR2(12) NOT NULL,
mgramm_tart NUMBER(3),
ajanlott_ar NUMBER(4),
CHECK (ajanlott_Ar>500),
CONSTRAINT gyogyszer_kulcs PRIMARY KEY (termeknev, gyarto)
);
DROP TABLE gyartok;
CREATE TABLE gyartok
(gyarto VARCHAR2(15) NOT NULL,
szekhely VARCHAR2(10) NOT NULL,
minoseg VARCHAR2(10) NOT NULL,
--CONSTRAINT gyartok_idegenkulcs FOREIGN KEY (gyarto) REFERENCES gyogyszer (gyarto),
CONSTRAINT gyartok_kulcs PRIMARY KEY (gyarto)
);
DROP TABLE helyettes;
CREATE TABLE helyettes
(termeknev VARCHAR2(14) NOT NULL,
gyarto VARCHAR2(15) NOT NULL,
h_termnev VARCHAR2(14) NOT NULL,
h_termgyarto VARCHAR2(15) NOT NULL,
h_termar NUMBER(4),
CONSTRAINT helyettes_kulcs PRIMARY KEY (termeknev, gyarto)
);
--gyogyszer tbla feltltse
INSERT INTO gyogyszer
VALUES ('Algopirin','Teva','Vny kteles','Gyors',5,800);
INSERT INTO gyogyszer
VALUES ('Kalmopirin','Richter','Vny kteles','Gyors',10,1200);
INSERT INTO gyogyszer
VALUES ('Smecta','Egis','Vny kteles','Hosszantart',50,1500);
INSERT INTO gyogyszer
VALUES ('Nurofen','Bres','Vny kteles','Gyors',50,1100);
INSERT INTO gyogyszer
VALUES ('Panadol','Ewopharma','Vny kteles','Gyors',100,2500);
INSERT INTO gyogyszer
VALUES ('Algofelx','Teva','Vny nlkli','Hosszantart',5,1300);
INSERT INTO gyogyszer
VALUES ('Paracetamol','Richter','Vny nlkli','Hosszantart',10,600);
INSERT INTO gyogyszer
VALUES ('Flector','Egis','Vny nlkli','Gyors',100,1100);
INSERT INTO gyogyszer
VALUES ('Saridon','Ewopharma','Vny nlkli','Hosszantart',50,1500);
INSERT INTO gyogyszer
VALUES ('Milgamma','Bres','Vny nlkli','Hosszantart',10,2000);
--gyrtk tbla feltltse:
INSERT INTO gyartok
VALUES ('Teva','Debrecen','Magas');
INSERT INTO gyartok
VALUES ('Egis','Budapest','Kzepes');
INSERT INTO gyartok
VALUES ('Bres','Budapest','Alancsony');
INSERT INTO gyartok
VALUES ('Ewopharma','Szeged','Magas');
INSERT INTO gyartok
VALUES ('Richter','Debrecen','Kzepes');
INSERT INTO gyartok
VALUES ('Novaritis','Debrecen','Alacsony');
INSERT INTO gyartok
VALUES ('Omninvest','Debrecen','Magas');
INSERT INTO gyartok
VALUES ('Pannonpharma','Szeged','Kzepes');
INSERT INTO gyartok
VALUES ('Phytotec','Szeged','Alacsony');
INSERT INTO gyartok
VALUES ('Sanofi','Budapest','Magas');
--helyettes feltltse:
INSERT INTO helyettes
VALUES ('Algopirin','Teva','Algoflex','Sanofi',700);
INSERT INTO helyettes
VALUES ('Kalmopirin','Richter','Voltaren','Sanofi',1400);
INSERT INTO helyettes
VALUES ('Smecta','Egis','Panalgorin','Pannonpharma',1000);
INSERT INTO helyettes
VALUES ('Nurofen','Bres','Dalacin','Pannonpharma',900);
INSERT INTO helyettes
VALUES ('Panadol','Ewopharma','Strepsils','Phytotec',2200);
INSERT INTO helyettes
VALUES ('Algofelx','Teva','Rennie','Phytotec',700);
INSERT INTO helyettes
VALUES ('Paracetamol','Richter','Meloxan','Omninvest',550);
INSERT INTO helyettes
VALUES ('Flector','Egis','Aspirin','Omninvest',800);
INSERT INTO helyettes
VALUES ('Saridon','Ewopharma','Ibumax','Novaritis',1300);
INSERT INTO helyettes
VALUES ('Milgamma','Bres','Coldrex','Novaritis',1700);