SET serveroutput ON
CREATE OR REPLACE TRIGGER gyogyszeruj
BEFORE INSERT ON gyogyszer
FOR EACH ROW
DECLARE
	nincsgyogyszer 	EXCEPTION;
	nincsgyarto	EXCEPTION;
BEGIN
	DBMS_OUTPUT.PUT_LINE('j gygyszer trigger fut...');
	IF vanegyogyszer(:NEW.termeknev) = FALSE
	THEN
		RAISE nincsgyogyszer;
	ELSEIF :NEW.gyarto IS NOT NULL AND (vanegyarto(:NEW.gyarto) = FALSE)
	THEN
		RAISE nincsgyarto
	END IF;
	DBMS_OUTPUT.PUT_LINE('A gyrt adatai megfelelek!');
EXCEPTION
	WHEN nincsgyogyszer
	THEN RAISE_APPLICATION_ERROR(-20121,'Nincs ilyen gygyszer trolva!');
	WHEN nincsgyarto
	THEN RAISE_APPLICATION_ERROR(-20122,'A megadott gyrt nincs trolva!');
END;
/
SHOW ERRORS
SET serveroutput OFF